import os
from dotenv import load_dotenv
from bot.selfbot import Selfbot

def main():
    # Load environment variables from .env file
    load_dotenv()
    
    # Get token from environment variable
    TOKEN = os.getenv("TOKEN")
    if not TOKEN:
        raise ValueError("No TOKEN found in environment variables. Please add it to your .env file.")
    
    # Initialize and run the bot
    bot = Selfbot()
    bot.run(TOKEN)

if __name__ == "__main__":
    main()